---
title: "Validate a token"
description: "Returns the user, tenant, and client details associated with an active Call AI access token."
contentType: "api-reference"
url: "https://developer.mindtickle.com/docs/call-ai/authentication/validate-a-token/"
---

## Prerequisites

1. [Generate an access token](/docs/call-ai/authentication/generate-an-access-token/): An active access token to validate.

## Endpoint

```http
POST /authenticate
```

Base URL: the authentication base URL Mindtickle Support provides for issuing tokens.

Headers: `Content-Type: application/json`.

## Request

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `access_token` | string | Required | The active access token to validate. |

### Request example

```json
{
  "access_token": "ACCESS_TOKEN"
}
```

## Response

| Field | Type | Description |
| --- | --- | --- |
| `status` | number | Status code in the response body. Check the HTTP status separately. |
| `user_id` | string | The user associated with the token. |
| `tenant_id` | string | The tenant associated with the token. |
| `client_id` | string | The client associated with the token. |

### Response example

```json
{
  "status": 200,
  "user_id": "USER_ID",
  "tenant_id": "TENANT_ID",
  "client_id": "CLIENT_ID"
}
```

## Notes

- **Behavior:** Use this call to retrieve the associated user and client details for debugging.
- **Behavior:** Once generated and verified, pass the token in the header of your requests to the [GraphQL API](/docs/call-ai/graphql-api/).

## Related

- [Refresh an access token](/docs/call-ai/authentication/refresh-an-access-token/): Regenerate the access token when it expires.
- [GraphQL API](/docs/call-ai/graphql-api/): Pass the verified token in the header of your GraphQL requests.
